{ lib, nixosConfig, pkgs, ... }:
let
  cfg = nixosConfig.sbruder.games;
  inherit (nixosConfig.sbruder) unfree;
in
lib.mkIf cfg.enable {
  home.packages = with pkgs; [ ]
    ++ lib.optionals (cfg.performanceIndex >= 2) [
    mgba
  ] ++ lib.optionals (cfg.performanceIndex >= 4) [
    desmume
    dolphinEmuMaster
  ] ++ lib.optional (unfree.allowAssets && cfg.performanceIndex >= 8) unstable.yuzu-ea
    ++ lib.optional unfree.allowSoftware unstable.osu-lazer-sandbox;
}
